summaryrefslogtreecommitdiffstats
path: root/config.tests
diff options
context:
space:
mode:
authorQt Continuous Integration System <qt-info@nokia.com>2010-03-17 11:12:54 +0100
committerQt Continuous Integration System <qt-info@nokia.com>2010-03-17 11:12:54 +0100
commitf0c615651fabb3e15469ab1eee3b4765dc1274d3 (patch)
tree7e7052dfcac781a99b3696efe2ee0b1df12652e9 /config.tests
parented08d67fea713e550da0fd0542672cc4443806e2 (diff)
parentab5fbde3235a6d613a8dfb58deb79c67b70d9f55 (diff)
Merge branch '4.7' of scm.dev.nokia.troll.no:qt/qt-s60-public into 4.7-integration
* '4.7' of scm.dev.nokia.troll.no:qt/qt-s60-public: (190 commits) Fixed Symbian applications with DESTDIR set. Removed a warning about generated rss files. Revert "Temporarily disable problematic dll." Fixed "Cannot install protected application" message on Symbian. Worked around a crash in the elf2e32 postlinker tool. Worked around case differences in Symbian^3 and Gnupoc. Enabled compilation of plugins again. Fixed a building bug where the DLL entry point was undefined. Moved UID2 processing from cpp code to profiles. Added rpp and rsg files to ignore filter. Moved two profiles to the correct directory. Fix build break caused by undefined symbol SetDialogPreference Temporarily disable problematic dll. Use the same concept for per-lib tweaks as armcc Consistently use the * in configure Symbian doesn't have large file support currently, just turn it off Remove largefile config test Make sure that we have all compile flags available always Enabled dependencies for .dso and .lib libraries only. Switched to using DEF_FILE, which is the official variable. ...
Diffstat (limited to 'config.tests')
-rw-r--r--config.tests/.gitignore2
-rw-r--r--config.tests/symbian/audio/.gitignore2
-rw-r--r--config.tests/symbian/audio/audio.cpp (renamed from config.tests/unix/largefile/largefiletest.cpp)30
-rw-r--r--config.tests/symbian/audio/audio.pro7
-rwxr-xr-xconfig.tests/symbian/compile.test46
-rw-r--r--config.tests/unix/largefile/largefile.pro3
6 files changed, 59 insertions, 31 deletions
diff --git a/config.tests/.gitignore b/config.tests/.gitignore
new file mode 100644
index 0000000000..bd76520b05
--- /dev/null
+++ b/config.tests/.gitignore
@@ -0,0 +1,2 @@
+*.rpp
+*.rsg
diff --git a/config.tests/symbian/audio/.gitignore b/config.tests/symbian/audio/.gitignore
new file mode 100644
index 0000000000..87a251c68a
--- /dev/null
+++ b/config.tests/symbian/audio/.gitignore
@@ -0,0 +1,2 @@
+audio.rpp
+audio.rsg
diff --git a/config.tests/unix/largefile/largefiletest.cpp b/config.tests/symbian/audio/audio.cpp
index bf25de9c93..4ffc728d21 100644
--- a/config.tests/unix/largefile/largefiletest.cpp
+++ b/config.tests/symbian/audio/audio.cpp
@@ -39,35 +39,9 @@
**
****************************************************************************/
-/* Sample program for configure to test Large File support on target
-platforms.
-*/
+#include <sounddevice.h>
-#define _LARGEFILE_SOURCE
-#define _LARGE_FILES
-#define _FILE_OFFSET_BITS 64
-#include <unistd.h>
-#include <sys/types.h>
-#include <sys/stat.h>
-#include <assert.h>
-#include <stdio.h>
-
-int main( int, char **argv )
+int main(int argc, char **argv)
{
-// check that off_t can hold 2^63 - 1 and perform basic operations...
-#define OFF_T_64 (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
- if (OFF_T_64 % 2147483647 != 1)
- return 1;
-
- // stat breaks on SCO OpenServer
- struct stat buf;
- stat( argv[0], &buf );
- if (!S_ISREG(buf.st_mode))
- return 2;
-
- FILE *file = fopen( argv[0], "r" );
- off_t offset = ftello( file );
- fseek( file, offset, SEEK_CUR );
- fclose( file );
return 0;
}
diff --git a/config.tests/symbian/audio/audio.pro b/config.tests/symbian/audio/audio.pro
new file mode 100644
index 0000000000..abbde6e05b
--- /dev/null
+++ b/config.tests/symbian/audio/audio.pro
@@ -0,0 +1,7 @@
+TARGET = audio
+SOURCES = audio.cpp
+
+INCLUDEPATH += $${EPOCROOT}epoc32/include/mmf/server
+INCLUDEPATH += $${EPOCROOT}epoc32/include/mmf/common
+
+LIBS += -lmmfdevsound
diff --git a/config.tests/symbian/compile.test b/config.tests/symbian/compile.test
new file mode 100755
index 0000000000..20a3039405
--- /dev/null
+++ b/config.tests/symbian/compile.test
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+SUCCESS=no
+QMKSPEC=$1
+XPLATFORM=`basename "$1"`
+QMAKE_CONFIG=$2
+VERBOSE=$3
+SRCDIR=$4
+OUTDIR=$5
+TEST=$6
+EXE=`basename "$6"`
+DESCRIPTION=$7
+shift 7
+LFLAGS=""
+INCLUDEPATH=""
+CXXFLAGS=""
+MAC_ARCH_CXXFLAGS=""
+MAC_ARCH_LFLAGS=""
+
+# debuggery
+[ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION auto-detection... ($*)"
+
+test -d "$OUTDIR/$TEST" || mkdir -p "$OUTDIR/$TEST"
+
+cd "$OUTDIR/$TEST"
+
+test -r Makefile && $MAKE distclean >/dev/null 2>&1
+
+"$OUTDIR/bin/qmake" -nocache -spec "$QMKSPEC" "CONFIG+=$QMAKE_CONFIG" "LIBS*=$LFLAGS" "LIBS+=$MAC_ARCH_LFLAGS" "INCLUDEPATH*=$INCLUDEPATH" "QMAKE_CXXFLAGS*=$CXXFLAGS" "QMAKE_CXXFLAGS+=$MAC_ARCH_CXXFLAGS" "$SRCDIR/$TEST/$EXE.pro" -o "$OUTDIR/$TEST/Makefile"
+
+if [ "$VERBOSE" = "yes" ]; then
+ $MAKE
+else
+ $MAKE >/dev/null 2>&1
+fi
+
+[ -x "$EXE.exe" ] && SUCCESS=yes
+
+# done
+if [ "$SUCCESS" != "yes" ]; then
+ [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION disabled."
+ exit 1
+else
+ [ "$VERBOSE" = "yes" ] && echo "$DESCRIPTION enabled."
+ exit 0
+fi
diff --git a/config.tests/unix/largefile/largefile.pro b/config.tests/unix/largefile/largefile.pro
deleted file mode 100644
index d7affc6c09..0000000000
--- a/config.tests/unix/largefile/largefile.pro
+++ /dev/null
@@ -1,3 +0,0 @@
-SOURCES=largefiletest.cpp
-CONFIG-=qt dylib
-mac:CONFIG -= app_bundle